---
sidebar_position: 2
description: Get chat message and other functions to work with GreenMax in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, GreenMax]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get chat message
 Gets information about the chat message by ID



`Function GetChatMessage(Val AccessParameters, Val ChatID, Val MessageID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | AccessParameters | --access | Structure Of KeyAndValue | &#x2714; | Access parameters. See FormAccessParameters |
  | ChatID | --chat | String | &#x2714; | Chat ID |
  | MessageID | --message | String | &#x2714; | Message ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Green API

:::tip
Method at API documentation: [GetMessage](https://green-api.com/v3/docs/api/journals/GetMessage/)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    ApiUrl           = "https://3100.api.green-api.com/v3";
    MediaUrl         = "https://3100.api.green-api.com/v3";
    IdInstance       = "31003...";
    ApiTokenInstance = "17915d8e0b4b4975a183478da...";

    ChatID    = 12345678;
    MessageID = "2761480287806";

    AccessParameters = OPI_GreenMax.FormAccessParameters(ApiUrl, MediaUrl, IdInstance, ApiTokenInstance);
    Result           = OPI_GreenMax.GetChatMessage(AccessParameters, ChatID, MessageID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint greenmax GetChatMessage \
             --access "{'apiUrl':'***','mediaUrl':'https://3100.api.green-api.com/v3','idInstance':'3100309139','apiTokenInstance':'***'}" \
             --chat "***" \
             --message "2761480287806"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint greenmax GetChatMessage ^
             --access "{'apiUrl':'***','mediaUrl':'https://3100.api.green-api.com/v3','idInstance':'3100309139','apiTokenInstance':'***'}" ^
             --chat "***" ^
             --message "2761480287806"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "type": "outgoing",
 "idMessage": "2761480287806",
 "timestamp": 1761480287,
 "typeMessage": "extendedTextMessage",
 "chatId": "***",
 "textMessage": "Тест 5",
 "extendedTextMessage": {
  "text": "Тест 5",
  "description": "",
  "title": "",
  "previewType": "None",
  "jpegThumbnail": "",
  "forwardingScore": 0,
  "isForwarded": false
 },
 "statusMessage": "delivered",
 "sendByApi": "***",
 "deletedMessageId": "",
 "editedMessageId": "",
 "isEdited": false,
 "isDeleted": false
}
```
